import request from '@/utils/request'

// 查询软件版本列表
export function listSoftwareVersion(query) {
  return request({
    url: '/system/softwareVersion/list',
    method: 'get',
    params: query
  })
}

// 查询软件版本详细
export function getSoftwareVersion(id) {
  return request({
    url: '/system/softwareVersion/' + id,
    method: 'get'
  })
}

// 新增软件版本
export function addSoftwareVersion(data) {
  return request({
    url: '/system/softwareVersion',
    method: 'post',
    data: data
  })
}

// 修改软件版本
export function updateSoftwareVersion(data) {
  return request({
    url: '/system/softwareVersion',
    method: 'put',
    data: data
  })
}

// 删除软件版本
export function delSoftwareVersion(id) {
  return request({
    url: '/system/softwareVersion/' + id,
    method: 'delete'
  })
}
